Skip to main content
GET
/
api
/
v1
/
bridge
/
status
/
{requestId}
bridge-status
curl --request GET \
  --url https://api.naos.trade/api/v1/bridge/status/{requestId} \
  --header 'Authorization: Bearer <token>'
{
  "step": 2,
  "totalSteps": 123,
  "requestId": "<string>",
  "trackingUrl": "<string>",
  "inTxHashes": [
    "<string>"
  ],
  "txHashes": [
    "<string>"
  ],
  "refundDetails": {
    "currency": "<string>",
    "chain": "<string>",
    "contractAddress": "<string>"
  },
  "error": true,
  "fetchFailed": true
}

Authorizations

Authorization
string
header
required

API key via Authorization: Bearer YOUR_API_KEY

Path Parameters

requestId
string
required

Relay request ID from bridge quote or execute response

Response

200 - application/json

Bridge status

status
enum<string>
required
Available options:
waiting,
pending,
success,
failure,
refund,
delayed
step
integer
required

Current step (2=waiting, 3=pending, 4=success, 0=error)

Required range: 0 <= x <= 4
totalSteps
integer
required

Always 4

requestId
string
required
trackingUrl
string
required
inTxHashes
string[] | null

Source chain transaction hashes

txHashes
string[] | null

Destination chain transaction hashes

refundDetails
object
error
boolean | null
fetchFailed
boolean | null